vty-unix-0.2.0.0: Unix backend for Vty

Safe Haskell | Safe-Inferred
Language | Haskell2010

Graphics.Vty.Platform.Unix.Settings

Description

Runtime settings for `vty-unix`. Most applications will not need to change any of these settings.

Synopsis

- data VtyUnixConfigurationError = MissingTermEnvVar
- data UnixSettings = UnixSettings {
  - settingVmin :: Int
  - settingVtime :: Int
  - settingInputFd :: Fd
  - settingOutputFd :: Fd
  - settingTermName :: String
  }
- currentTerminalName :: IO (Maybe String)
- defaultSettings :: IO UnixSettings

# Documentation

data VtyUnixConfigurationError Source #

Type of exceptions that can be raised when configuring Vty on a Unix system.

Constructors

MissingTermEnvVar | The `TERM` environment variable is not set.

#### Instances

Instances details

Exception VtyUnixConfigurationError Source # |
Instance details Defined in Graphics.Vty.Platform.Unix.Settings Methods toException :: VtyUnixConfigurationError -> SomeException Source # fromException :: SomeException -> Maybe VtyUnixConfigurationError Source # displayException :: VtyUnixConfigurationError -> String Source # backtraceDesired :: VtyUnixConfigurationError -> Bool Source #
Show VtyUnixConfigurationError Source # |
Instance details Defined in Graphics.Vty.Platform.Unix.Settings Methods showsPrec :: Int -> VtyUnixConfigurationError -> ShowS Source # show :: VtyUnixConfigurationError -> String Source # showList :: [VtyUnixConfigurationError] -> ShowS Source #
Eq VtyUnixConfigurationError Source # |
Instance details Defined in Graphics.Vty.Platform.Unix.Settings Methods (==) :: VtyUnixConfigurationError -> VtyUnixConfigurationError -> Bool Source # (/=) :: VtyUnixConfigurationError -> VtyUnixConfigurationError -> Bool Source #

data UnixSettings Source #

Runtime library settings for interacting with Unix terminals.

See this page for details on `VTIME` and `VMIN`:

http://unixwiz.net/techtips/termios-vmin-vtime.html

Constructors

UnixSettings |

Fields

- settingVmin :: Int

  VMIN character count.

- settingVtime :: Int

  VTIME setting in tenths of a second.

- settingInputFd :: Fd

  The input file descriptor to use.

- settingOutputFd :: Fd

  The output file descriptor to use.

- settingTermName :: String

  The terminal name used to look up terminfo capabilities.

#### Instances

Instances details

Show UnixSettings Source # |
Instance details Defined in Graphics.Vty.Platform.Unix.Settings Methods showsPrec :: Int -> UnixSettings -> ShowS Source # show :: UnixSettings -> String Source # showList :: [UnixSettings] -> ShowS Source #
Eq UnixSettings Source # |
Instance details Defined in Graphics.Vty.Platform.Unix.Settings Methods (==) :: UnixSettings -> UnixSettings -> Bool Source # (/=) :: UnixSettings -> UnixSettings -> Bool Source #

currentTerminalName :: IO (Maybe String) Source #

defaultSettings :: IO UnixSettings Source #

Default runtime settings used by the library.